import request from '@/utils/request'

// 查询车机操作配置列表
export function listVehOper(query) {
  return request({
    url: '/system/vehOper/list',
    method: 'get',
    params: query
  })
}

// 查询车机操作配置详细
export function getVehOper(configId) {
  return request({
    url: '/system/vehOper/' + configId,
    method: 'get'
  })
}

// 新增车机操作配置
export function addVehOper(data) {
  return request({
    url: '/system/vehOper',
    method: 'post',
    data: data
  })
}

// 修改车机操作配置
export function updateVehOper(data) {
  return request({
    url: '/system/vehOper',
    method: 'put',
    data: data
  })
}

// 删除车机操作配置
export function delVehOper(configId) {
  return request({
    url: '/system/vehOper/' + configId,
    method: 'delete'
  })
}
